Submit Inference Operation
curl --request POST \
--url https://api.trajectory.ai/api/v1/inference/operations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Trajectory-Id: <x-trajectory-id>' \
--data '
{
"api": "chat",
"input": {
"model": "<string>",
"messages": [
{
"role": "<string>",
"content": "<string>"
}
],
"stream": false,
"disable_thinking": true,
"temperature": 123,
"max_tokens": 123,
"top_p": 123
}
}
'import requests
url = "https://api.trajectory.ai/api/v1/inference/operations"
payload = {
"api": "chat",
"input": {
"model": "<string>",
"messages": [
{
"role": "<string>",
"content": "<string>"
}
],
"stream": False,
"disable_thinking": True,
"temperature": 123,
"max_tokens": 123,
"top_p": 123
}
}
headers = {
"X-Trajectory-Id": "<x-trajectory-id>",
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Trajectory-Id': '<x-trajectory-id>',
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
api: 'chat',
input: {
model: '<string>',
messages: [{role: '<string>', content: '<string>'}],
stream: false,
disable_thinking: true,
temperature: 123,
max_tokens: 123,
top_p: 123
}
})
};
fetch('https://api.trajectory.ai/api/v1/inference/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trajectory.ai/api/v1/inference/operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'api' => 'chat',
'input' => [
'model' => '<string>',
'messages' => [
[
'role' => '<string>',
'content' => '<string>'
]
],
'stream' => false,
'disable_thinking' => true,
'temperature' => 123,
'max_tokens' => 123,
'top_p' => 123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"X-Trajectory-Id: <x-trajectory-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trajectory.ai/api/v1/inference/operations"
payload := strings.NewReader("{\n \"api\": \"chat\",\n \"input\": {\n \"model\": \"<string>\",\n \"messages\": [\n {\n \"role\": \"<string>\",\n \"content\": \"<string>\"\n }\n ],\n \"stream\": false,\n \"disable_thinking\": true,\n \"temperature\": 123,\n \"max_tokens\": 123,\n \"top_p\": 123\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Trajectory-Id", "<x-trajectory-id>")
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.trajectory.ai/api/v1/inference/operations")
.header("X-Trajectory-Id", "<x-trajectory-id>")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"api\": \"chat\",\n \"input\": {\n \"model\": \"<string>\",\n \"messages\": [\n {\n \"role\": \"<string>\",\n \"content\": \"<string>\"\n }\n ],\n \"stream\": false,\n \"disable_thinking\": true,\n \"temperature\": 123,\n \"max_tokens\": 123,\n \"top_p\": 123\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trajectory.ai/api/v1/inference/operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Trajectory-Id"] = '<x-trajectory-id>'
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"api\": \"chat\",\n \"input\": {\n \"model\": \"<string>\",\n \"messages\": [\n {\n \"role\": \"<string>\",\n \"content\": \"<string>\"\n }\n ],\n \"stream\": false,\n \"disable_thinking\": true,\n \"temperature\": 123,\n \"max_tokens\": 123,\n \"top_p\": 123\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status": "PENDING",
"status_url": "<string>",
"deadline_at": "2023-11-07T05:31:56Z",
"failure_code": "<string>",
"failure": {},
"result": {}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}Inference
Submit Inference Operation
POST
/
api
/
v1
/
inference
/
operations
Submit Inference Operation
curl --request POST \
--url https://api.trajectory.ai/api/v1/inference/operations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Trajectory-Id: <x-trajectory-id>' \
--data '
{
"api": "chat",
"input": {
"model": "<string>",
"messages": [
{
"role": "<string>",
"content": "<string>"
}
],
"stream": false,
"disable_thinking": true,
"temperature": 123,
"max_tokens": 123,
"top_p": 123
}
}
'import requests
url = "https://api.trajectory.ai/api/v1/inference/operations"
payload = {
"api": "chat",
"input": {
"model": "<string>",
"messages": [
{
"role": "<string>",
"content": "<string>"
}
],
"stream": False,
"disable_thinking": True,
"temperature": 123,
"max_tokens": 123,
"top_p": 123
}
}
headers = {
"X-Trajectory-Id": "<x-trajectory-id>",
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Trajectory-Id': '<x-trajectory-id>',
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
api: 'chat',
input: {
model: '<string>',
messages: [{role: '<string>', content: '<string>'}],
stream: false,
disable_thinking: true,
temperature: 123,
max_tokens: 123,
top_p: 123
}
})
};
fetch('https://api.trajectory.ai/api/v1/inference/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trajectory.ai/api/v1/inference/operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'api' => 'chat',
'input' => [
'model' => '<string>',
'messages' => [
[
'role' => '<string>',
'content' => '<string>'
]
],
'stream' => false,
'disable_thinking' => true,
'temperature' => 123,
'max_tokens' => 123,
'top_p' => 123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"X-Trajectory-Id: <x-trajectory-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trajectory.ai/api/v1/inference/operations"
payload := strings.NewReader("{\n \"api\": \"chat\",\n \"input\": {\n \"model\": \"<string>\",\n \"messages\": [\n {\n \"role\": \"<string>\",\n \"content\": \"<string>\"\n }\n ],\n \"stream\": false,\n \"disable_thinking\": true,\n \"temperature\": 123,\n \"max_tokens\": 123,\n \"top_p\": 123\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Trajectory-Id", "<x-trajectory-id>")
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.trajectory.ai/api/v1/inference/operations")
.header("X-Trajectory-Id", "<x-trajectory-id>")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"api\": \"chat\",\n \"input\": {\n \"model\": \"<string>\",\n \"messages\": [\n {\n \"role\": \"<string>\",\n \"content\": \"<string>\"\n }\n ],\n \"stream\": false,\n \"disable_thinking\": true,\n \"temperature\": 123,\n \"max_tokens\": 123,\n \"top_p\": 123\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trajectory.ai/api/v1/inference/operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Trajectory-Id"] = '<x-trajectory-id>'
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"api\": \"chat\",\n \"input\": {\n \"model\": \"<string>\",\n \"messages\": [\n {\n \"role\": \"<string>\",\n \"content\": \"<string>\"\n }\n ],\n \"stream\": false,\n \"disable_thinking\": true,\n \"temperature\": 123,\n \"max_tokens\": 123,\n \"top_p\": 123\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status": "PENDING",
"status_url": "<string>",
"deadline_at": "2023-11-07T05:31:56Z",
"failure_code": "<string>",
"failure": {},
"result": {}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}Authorizations
InferenceAuthorizationApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Minimum string length:
1Minimum string length:
1Body
application/json